Package org.codehaus.groovy.ast.expr

# Interface ExpressionTransformer

All Known Implementing Classes:
  `ClassCodeExpressionTransformer`, `FieldASTTransformation`, `JavaAwareResolveVisitor`, `NewifyASTTransformation`, `OperatorRenameASTTransformation`, `OptimizerVisitor`, `ResolveVisitor`, `StaticCompilationTransformer`, `StaticImportVisitor`, `VariableExpressionTransformer`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ExpressionTransformer
Provides a way to transform expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `transform(Expression expression)`

- ## Method Details

  - ### transform

    Expression transform(Expression expression)